OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.EXT.ExternalBuffer

Contents

- Extension Support
- Functions

Description

Synopsis

- glGetEXTExternalBuffer :: MonadIO m => m Bool
- gl_EXT_external_buffer :: Bool
- glBufferStorageExternalEXT :: MonadIO m => GLenum -> GLintptr -> GLsizeiptr -> GLeglClientBufferEXT -> GLbitfield -> m ()
- glNamedBufferStorageExternalEXT :: MonadIO m => GLuint -> GLintptr -> GLsizeiptr -> GLeglClientBufferEXT -> GLbitfield -> m ()

# Extension Support

glGetEXTExternalBuffer :: MonadIO m => m Bool Source #

Is the EXT_external_buffer extension supported?

gl_EXT_external_buffer :: Bool Source #

Is the EXT_external_buffer extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetEXTExternalBuffer` in those cases instead.

# Functions

glBufferStorageExternalEXT Source #

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLintptr | `offset`.
-> GLsizeiptr | `size`.
-> GLeglClientBufferEXT | `clientBuffer`.
-> GLbitfield | `flags` of type BufferStorageMask.
-> m () |

glNamedBufferStorageExternalEXT Source #

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> GLintptr | `offset`.
-> GLsizeiptr | `size`.
-> GLeglClientBufferEXT | `clientBuffer`.
-> GLbitfield | `flags` of type BufferStorageMask.
-> m () |